Skip to navigation

Get application configuration

View as Markdown
Retrieves the application configuration for the current user and database. This is primarily used by internal client applications and is not typically needed for external API usage.

Authentication

AuthorizationBearer
Access token obtained from the login endpoint

Query parameters

databasestringOptional
Name of the database to get configuration for. If provided in both the request body and query parameter, the query parameter takes precedence.

Request

This endpoint expects an object.
databasestringOptional

Target database name (defaults to system if not specified)

Response

Successfully returned application configuration
configobjectOptional
Application configuration properties
databasestringOptional

Target database name (defaults to system if not specified)

usernamestringOptional
The current authenticated user

Errors

401
Unauthorized Error
404
Not Found Error